package useful

import (
	"tuxpa.in/a/irc/pkg/ircv3"
)

type Pong struct {
}

func (u *Pong) Middleware(next ircv3.Handler) ircv3.Handler {
	return ircv3.HandlerFunc(func(w ircv3.MessageWriter, e *ircv3.Event) {
		if e.Msg.Command == "PING" {
			w.WriteMessage(ircv3.NewMessage("PONG", e.Msg.Param(0)))
		}
		next.Handle(w, e)
	})
}
